OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
PromoteType< math::Mat3< T > > Struct Template Reference

`#include <openvdb/Types.h>`

Inheritance diagram for PromoteType< math::Mat3< T > >:

## Public Types
using | Promote = math::Mat3< typename PromoteType< T >::template Promote< Shift > >
using | Demote = math::Mat3< typename PromoteType< T >::template Demote< Shift > >
using | Highest = math::Mat3< typename PromoteType< T >::Highest >
using | Lowest = math::Mat3< typename PromoteType< T >::Lowest >
using | Next = math::Mat3< typename PromoteType< T >::Next >
using | Previous = math::Mat3< typename PromoteType< T >::Previous >

## Member Typedef Documentation

## ◆ Demote

using Demote = math::Mat3 <typename PromoteType<T>::template Demote<Shift> >
| inherited

## ◆ Highest

using Highest = math::Mat3 <typename PromoteType<T>::Highest>
| inherited

## ◆ Lowest

using Lowest = math::Mat3 <typename PromoteType<T>::Lowest>
| inherited

## ◆ Next

using Next = math::Mat3 <typename PromoteType<T>::Next>
| inherited

## ◆ Previous

using Previous = math::Mat3 <typename PromoteType<T>::Previous>
| inherited

## ◆ Promote

using Promote = math::Mat3 <typename PromoteType<T>::template Promote<Shift> >
| inherited